• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Should i choose 2.x or 3.x - Confused

#1
I am planning to use CodeIgniter. I m confused which version to use.
Obviously 2.x is the stable version to use right now.

If 3.x is released, What should i do?
Can someone clarify my doubts?
Reply

#2
If I was starting a new project or if I was just beginning to use CI I would go with version 3. By the time your project is ready for release CI 3 will probably be stable.
Reply

#3
(11-09-2014, 12:22 AM)agriz Wrote: I am planning to use CodeIgniter. I m confused which version to use.
Obviously 2.x is the stable version to use right now.

If 3.x is released, What should i do?
Can someone clarify my doubts?

I think codeigniter 2+ good because compatible with hmvc if need to use hmvc codeigniter 3 does not work with HMVC
There's only one rule - please don't tell anyone to go and read the manual.  Sometimes the manual just SUCKS!
Reply

#4
If i start a project with 2.x, Can i easily upgrade it to 3.x?

From the above replies, I think it is not that easy.
Will there be any 2.4, 2.5, etc version or 2.2.1 is going to be the last version?
Reply

#5
i use for all my projects ci3 and its stable.

Reply

#6
Wink 
(11-09-2014, 12:22 AM)agriz Wrote: I am planning to use CodeIgniter. I m confused which version to use.
Obviously 2.x is the stable version to use right now.

If 3.x is released, What should i do?
Can someone clarify my doubts?

CI 3.x is a better choice.
Reply

#7
I would recommend CI3. I have used it for over 12 months in various projects large and small and have not found any real issues. I continue to pull down the latest dev version ever few weeks and it only gets better.
That said, I am not sure what the LTS is going to be on CI2 but I can't see any reason to start a new project on v2 at this time as v3 will be the "current" version very soon (maybe even before your project is production ready?)
Reply

#8
(11-09-2014, 12:22 AM)agriz Wrote: I am planning to use CodeIgniter. I m confused which version to use.
Obviously 2.x is the stable version to use right now.

If 3.x is released, What should i do?
Can someone clarify my doubts?

I don't think there is a wrong choice either way.
If you choose 2.x version you can upgrade in the future, see here: https://www.chuongduong.net/ci3/installa...ading.html

V3 is looking promising as it has only 1 open issue left currently, see here: https://github.com/bcit-ci/CodeIgniter/i...=is%3Aopen

Here is (unofficial) documentation for CodeIgniter 3, view here: http://dannynunez.com/codeigniter-3-0-documentation/
Reply

#9
The best option will be 3.0 Dev.

Pro:
1. The 3.0 DEV version is stable.
2. No need to upgrade after.
3. Latest fixes and addons.
4. And so on Smile
Reply

#10
I'd recommend 3.0. It is slated for a release pretty soon and is pretty darn stable already.
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2021 MyBB Group.